This is a live mirror of the Perl 5 development currently hosted at https://github.com/perl/perl5
The 5005thread todo list; 2 down 25 to go
authorH.Merijn Brand <h.m.brand@xs4all.nl>
Fri, 25 Oct 2002 11:47:07 +0000 (11:47 +0000)
committerH.Merijn Brand <h.m.brand@xs4all.nl>
Fri, 25 Oct 2002 11:47:07 +0000 (11:47 +0000)
p4raw-id: //depot/perl@18064

README.irix
README.tru64

index 0681914..8ef9692 100644 (file)
@@ -74,14 +74,10 @@ errors (especially with -Duse64bitall).
 =head2 Building with threads in Irix
 
 Run Configure with -Duseithreads which will configure Perl with
-the new Perl 5.8.0 "interpreter threads", see L<threads>.
+the Perl 5.8.0 "interpreter threads", see L<threads>.
 
-The old Perl 5.005 threads is obsolete, unmaintained, and its use is
-discouraged.  If you really want it, run Configure with the
--Dusethreads -Duse5005threads options as described in INSTALL.
-
-For either thread model and for Irix 6.2, you have to have the
-following patches installed:
+For Irix 6.2 with perl threads, you have to have the following
+patches installed:
 
         1404 Irix 6.2 Posix 1003.1b man pages
         1645 Irix 6.2 & 6.3 POSIX header file updates
index ab21fe0..297cab8 100644 (file)
@@ -35,16 +35,12 @@ is harmless).
 
 =head2 Threaded Perl on Tru64
 
-If you want to use threads, you should primarily use the new Perl
+If you want to use threads, you should primarily use the Perl
 5.8.0 threads model by running Configure with -Duseithreads.
 
-The old Perl 5.005 threads is obsolete, unmaintained, and its use is
-discouraged.  If you really want it, run Configure with the
--Dusethreads -Duse5005threads options as described in INSTALL.
-
-Either thread model is going to work only in Tru64 4.0 and newer
-releases, older operating releases like 3.2 aren't probably going
-to work properly with threads.
+Perl threading is going to work only in Tru64 4.0 and newer releases,
+older operating releases like 3.2 aren't probably going to work
+properly with threads.
 
 =head2 Long Doubles on Tru64